aboutsummaryrefslogtreecommitdiff
path: root/git-stash.sh
diff options
context:
space:
mode:
authorMartin Koegler <mkoegler@auto.tuwien.ac.at>2009-07-22 07:30:58 +0200
committerJunio C Hamano <gitster@pobox.com>2009-07-22 21:57:41 -0700
commit520707905388e293a482066599a1c181ef32f2f0 (patch)
tree3fe975539eb578f0c150cdfcf2d8a0c97607465e /git-stash.sh
parentf693b7e9a5b7b009e71389310322fe864cd16046 (diff)
downloadgit-520707905388e293a482066599a1c181ef32f2f0.tar.gz
git-520707905388e293a482066599a1c181ef32f2f0.tar.xz
git stash: modernize use of "dashed" git-XXX calls
Replace remaining git-XXX calls with git XXX. Signed-off-by: Martin Koegler <mkoegler@auto.tuwien.ac.at> Acked-by: Nanako Shiraishi <nanako3@lavabit.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-stash.sh')
-rwxr-xr-xgit-stash.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/git-stash.sh b/git-stash.sh
index 531c7c31a..03e589f76 100755
--- a/git-stash.sh
+++ b/git-stash.sh
@@ -203,7 +203,7 @@ apply_stash () {
git diff-tree --binary $s^2^..$s^2 | git apply --cached
test $? -ne 0 &&
die 'Conflicts in index. Try without --index.'
- unstashed_index_tree=$(git-write-tree) ||
+ unstashed_index_tree=$(git write-tree) ||
die 'Could not save index tree'
git reset
fi
@@ -219,7 +219,7 @@ apply_stash () {
then
export GIT_MERGE_VERBOSITY=0
fi
- if git-merge-recursive $b_tree -- $c_tree $w_tree
+ if git merge-recursive $b_tree -- $c_tree $w_tree
then
# No conflict
if test -n "$unstashed_index_tree"
@@ -297,7 +297,7 @@ apply_to_branch () {
fi
stash=$2
- git-checkout -b $branch $stash^ &&
+ git checkout -b $branch $stash^ &&
apply_stash --index $stash &&
drop_stash $stash
}